/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 *		2.功能描述：tabs组件
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		jyh		  	2021-5-9  			1.00		   	  新建
 *******************************************************************************/
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    // 数据源
    list: {
      type: Array,
      value: []
    },
    // 数据源
    active: {
      type: Number,
      value: 0
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    // 当前选中标签的标识符
    active: 0,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /**
     * 当前激活的标签改变时触发
     * @param {*} event 
     */
    onChange(event) {
      if(this.data.list[event.detail.index].code){
        event.detail.code  = this.data.list[event.detail.index].code
      }
     
      console.log('当前激活的标签改变时触发',event)
      this.triggerEvent('onChange', event)
    }
  }
})